Gtk_List(3)

NAME - Gtk_List
Slow implementation of lists.

HEADER REQUIRED
#include <gtk--/list.h&gt;>

BASE CLASSES
Gtk_Container(3)

PROPERTIES

children
    Type: GList*

selection
    Type: GList*

undo_selection
    Type: GList*

undo_unselection
    Type: GList*

last_focus_child
    Type: Gtk_Widget*

undo_focus_child
    Type: Gtk_Widget*

htimer
    Type: guint

vtimer
    Type: guint

anchor
    Type: gint

drag_pos
    Type: gint

anchor_state
    Type: GtkStateType

selection_mode
    Type: guint:2

drag_selection
    Type: guint:1

add_mode
    Type: guint:1

     .IP

PUBLIC MEMBER INDEX
    Gtk_List();
    Gtk_List(GtkList *castitem);
    signal void  selection_changed(BaseObjectType);
    signal void  select_child_c(GtkWidget*);
    signal void  unselect_child_c(GtkWidget*);
    signal void  select_child(Gtk_Widget*);
    signal void  unselect_child(Gtk_Widget*);
    void  select_child_callback(Gtk_Widget *p1);
    void  unselect_child_callback(Gtk_Widget *p1);
    void  insert_items(GList *items, gint position);
    void  append_items(GList *items);
    void  prepend_items(GList *items);
    void  remove_items(GList *items);
    void  remove_items_no_unref(GList *items);
    void  clear_items(gint start, gint end);
    void  select_item(gint item);
    void  unselect_item(gint item);
    gint  child_position(const Gtk_Widget &child);
    void  set_selection_mode(GtkSelectionMode mode);
    GtkList*  gtkobj();
    const GtkList*  gtkobj() const;
    static bool  isGtkList(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkList  BaseObjectType;
    typedef GtkListClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  selection_changed_impl();
    virtual void  select_child_c_impl(GtkWidget* p1);
    virtual void  unselect_child_c_impl(GtkWidget* p1);

PRIVATE MEMBER INDEX
    static CppClassType  list_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS